Kerbal Space Program - Feedback #25162

Maneuver Mode has its focus point as only Kerbin causing the phase angle calculations to be
incorrect

04/14/2020 09:48 PM - Anth12

Status: Confirmed

Severity: Normal

Assignee: Technicalfool

Category: Controls and Ul

Target version:

Version: 1.9.1 Language: English (US)
Platform: Linux, Windows Mod Related: No
Expansion: Core Game

Description

Only time that the focus point should be Kerbin for determining phase angles is when the vessel is in orbit of the Mun or Minmus
To get a correct phase angle one needs 3 points.

Sun, Kerbin, Duna are three points with the sun being the focus
Kerbin, Mun, Minus are three points with Kerbin being the focus

The first screenshot shows the three points needed to get a phase angle

The focus needs to change between the following:

The Sun (has multiple planets orbiting) needs to be the focus for phase angles
Kerbin (has multiple moons orbiting) needs to be the focus for phase angles
Jool (has multiple moons orbiting) needs to be the focus for phase angles

Second screenshot is to show the Maneuver Mode down the left bottom where the phase angle is located

https://ksp.olex.biz/ is one place | went to understand this

Possible Suggestions:

1. If around a moon change the focus to what planet its orbiting and add "SOI" to the end of "phase angle" on the Maneuver Mode
(look to screenshot) to indicate that to the player

2. If around a planet change the focus to the sun

Credit goes Rocketology for suggesting that Kerbin was the focus when the sun should have been for going planet to planet

History

#1 - 04/14/2020 09:58 PM - Anth12
- File deleted (screenshot2.png)

#2 - 04/14/2020 09:58 PM - Anth12
- File screenshot2.png added

#3 - 06/04/2020 12:35 PM - Technicalfool

- File 1.9.1 phase angle incorrect. mp4 added
- Status changed from New to Confirmed

- Severity changed from Low to Normal

- % Done changed from 0 to 10

- Platform Linux added

#4 - 06/04/2020 12:36 PM - Technicalfool

- Assignee set to Technicalfool
https://ksp.olex.biz/

#6 - 06/10/2020 04:27 PM - victorr
- Tracker changed from Bug to Feedback
- Start date deleted (04/15/2020)

We're changing this report into a Feedback. This will allow us to explore solutions and methods with the design team.

Files

Phase Angle.png 7.65 KB 04/14/2020 Anth12
screenshot2.png 2.34 MB 04/14/2020 Anth12
